dab_concatenate_signals Class Reference

Concatenate all input signals in time. More...

`#include <dab_concatenate_signals.h>`

Inheritance diagram for dab_concatenate_signals:
[legend]

## Public Member Functions

void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | reset ()

## Friends

dab_concatenate_signals_sptr | dab_make_concatenate_signals (size_t itemsize)

## Detailed Description

Concatenate all input signals in time.

Parameters

  itemsize | size of input and output items

output: first input stream, as long as it has samples, then second input stream, etc...

Note: Altough this block works with simple vectors, it seems that samples get lost when more complicated blocks are used.

## Member Function Documentation

## forecast()

void dab_concatenate_signals::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int dab_concatenate_signals::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## reset()

void dab_concatenate_signals::reset | ( |  | ) |

inline

## Friends And Related Symbol Documentation

## dab_make_concatenate_signals

dab_concatenate_signals_sptr dab_make_concatenate_signals | ( | size_t | itemsize | ) |

friend

The documentation for this class was generated from the following file:

- dab_concatenate_signals.h